package com.jusfoun.ydylsz;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.web.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;


/**
 * @author jjf
 * 工程启动类
 */
@EnableTransactionManagement // 启注解事务管理
// @EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class})
@SpringBootApplication
@EnableScheduling
public class Starter extends SpringBootServletInitializer{
	
	/*
	 * @Autowired DataSource dataSource;
	 */
	
	public static void main(String[] args) {
		SpringApplication.run(Starter.class, args);
	}
	
}

