package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.InventoryAlarmVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName InventoryAlarmMapper
 * @Description TODO
 * @Author feng.liu@ourwill.com.cn
 * @Date 2023/7/19 18:40
 * @Version 1.0
 **/
@Mapper
@Repository
public interface InventoryAlarmMapper {

    List<InventoryAlarmVO> selectPageList(@Param("ccqy") String ccqy, @Param("cfmc") String cfmc, @Param("clzt") Integer clzt,@Param("clfs") Integer clfs,@Param("kqbm") String kqbm);

    List<InventoryAlarmVO> selectInventoryList( @Param("ccqy") String ccqy, @Param("cfmc") String cfmc);

    void batchInsert(@Param("list")List<InventoryAlarmVO>  list);

    void insert(InventoryAlarmVO inventoryAlarmVO);

    void deal(InventoryAlarmVO vo);
}
