package com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.vo.StorageThresholdSetVO;


@Mapper
public interface StorageThresholdSetMapper {
	
	/**
	 * 查询报警阈值设置列表
	 * 
	 * @return
	 */
	List<StorageThresholdSetVO> list();

	/**
	 * 按主键ID查询一条数据
	 * 
	 * @param id 数据主键ID
	 * @return
	 */
	StorageThresholdSetVO findByIDCondition(@Param("id")String id);

	/**
	 * 插入一条数据
	 * 
	 * @param storageThresholdSetVO 数据对象
	 */
	void insert(StorageThresholdSetVO storageThresholdSetVO);

	/**
	 * 修改一条数据
	 * 
	 * @param storageThresholdSetVO 数据对象
	 */
	void update(StorageThresholdSetVO storageThresholdSetVO);
}
