package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.CrudeoilMapper;
import com.jusfoun.ydylsz.vo.CrudeoilVO;
import com.jusfoun.ydylsz.vo.RiceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Optional;

@Service
public class CrudeoilService {


	@Autowired
	private CrudeoilMapper crudeoilMapper;

	public PageInfo<CrudeoilVO> page(String cfbm, Integer pageNo, Integer pageSize,String startDate,String endDate) {
		PageHelper.startPage(pageNo, pageSize);
        if (null != endDate) {
            endDate = endDate + " 23:59:59";
        }
        if (null != startDate) {
            startDate += " 00:00:00";
        }
		List<CrudeoilVO> crudeoilVOS = crudeoilMapper.listCrudeoil(cfbm, startDate, endDate);
		return new PageInfo<>(crudeoilVOS);
	}

    public List<CrudeoilVO> impCrudeoil(String cfbm, String startDate, String endDate) {
        if (null != endDate) {
            endDate = endDate + " 23:59:59";
        }
        if (null != startDate) {
            startDate += " 00:00:00";
        }
        return crudeoilMapper.listCrudeoil(cfbm, startDate, endDate);
    }

	public void imp() {
		List<CrudeoilVO> crudeoilVOS = crudeoilMapper.listadd();
		for(CrudeoilVO crudeoilVO:crudeoilVOS){
			crudeoilMapper.insert(crudeoilVO);
		}
	}
}
