package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.CornMapper;
import com.jusfoun.ydylsz.mapper.SoybeanMapper;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.RiceVO;
import com.jusfoun.ydylsz.vo.SoybeanVO;
import com.jusfoun.ydylsz.vo.WheatVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SoybeanService {


	@Autowired
	private SoybeanMapper soybeanMapper;

	public PageInfo<SoybeanVO> page(String cfbm, Integer pageNo, Integer pageSize,String startDate,String endDate) {
		PageHelper.startPage(pageNo, pageSize);
		List<SoybeanVO> soybeanVOS = soybeanMapper.listnew(cfbm,startDate,endDate);
	/*	for(SoybeanVO soybeanVO:soybeanVOS){
			if("1".equals(soybeanVO.getSjlx())){
				SoybeanVO soybean = soybeanMapper.selectById(soybeanVO.getId());
				BeanUtils.copyProperties(soybean,soybeanVO);
			}
		}*/
		return new PageInfo<SoybeanVO>(soybeanVOS);
	}

    public void imp() {
		List<SoybeanVO> soybeanVOS = soybeanMapper.listadd();
		for(SoybeanVO soybeanVO:soybeanVOS){
			soybeanMapper.insert(soybeanVO);
		}
    }

	public List<SoybeanVO> impSoybean(String cfbm, String startDate, String endDate) {
		List<SoybeanVO> soybeanVOS = soybeanMapper.impSoybean(cfbm,startDate,endDate);
		return soybeanVOS;
	}

    public void expSoybean() {
		soybeanMapper.deleteAll();
		List<SoybeanVO> soybeanVOS = soybeanMapper.listadd();
		for(SoybeanVO soybeanVO:soybeanVOS){
			soybeanMapper.insert(soybeanVO);
		}
    }
}
