package com.jusfoun.ydylsz.vo.fumigation;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 熏蒸作业过程
 * @create 2023-11-04 16:01
 */
@Data
public class FumigationProcess implements Serializable {
    private static final long serialVersionUID = -2996731484903408574L;
    /*
     * 熏蒸前准备
     */
    // 空气呼吸器及安全检查情况
    private String airRespirator;
    // 磷化氢检测装置调试情况
    private String phosphine;
    // 氧气浓度检测装置调试情况
    private String oxygenConcentrations;
    // 磷化氢报警仪安全检查
    private String phosphineAlarmDevice;
    // 氧气报警仪安全检查
    private String oxygenAlarmDevice;
    // 辅助施药措施
    private String auxiliaryMeasures;
    /*
     * 作业过程监控
     */
    // 峰值浓度(ppm)
    private Float fznd;
    // 目标浓度维持天数(天)
    private Integer mbndwcts;
    // 漏气位置检测
    private String lswzjc;
    // 漏气位置采取的补救措施
    private String lqbwcqdbjcs;
    // 氧气报警仪安全检查
    private String yqbjyaqjc;
    // 辅助施药措施
//    private String auxiliaryMeasures;
    /*
    * 安全检查项目
    */
    // 环流风机/阀门
    private Integer isCirculationFine;
    // 施药设备
    private Integer isUseDrugEquipmentFine;
    // 仓房密闭性
    private Integer isHouseTightnessFine;
    // 高空作业平台安全检测
    private Integer isAerialWorkPlatformFine;
    // 磷化氢检测仪
    private Integer isPhosphineDetectorFine;
    // 磷化氢报警仪
    private Integer isPhosphineAlarmFine;
    // 测氧仪
    private Integer isOxygenDetectorFine;
    // 空气呼吸器
    private Integer isAirRespiratorFine;
    // 警戒线/警示牌
    private Integer isHaveWarningSignFine;
    // 灭火器
    private Integer isFireExtinguisherFine;
    // 急救箱
    private Integer isHaveFirstAidKit;
    // 氧气报警仪
//    private Integer oxygenAlarmDevice;
    /*散气情况*/
    // 实际散气开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date bulkStartTime;
    // 实际散气结束时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date bulkEndTime;
    // 散气持续天数(天)
    private String perforatedDays;
    // 密闭时间(天)
    private String closedTime;
    // CT值
    private String ctValue;
    // 散气结束前磷化氢浓度(ppm)
    private String perforatedBefore;
    // 散气结束前磷化氢浓度(ppm)
    private String perforatedEnd;
    // 散气方法
    private String bulkGasType;
    // 药剂残留率(ppm)
    private String drugResidueRate;
    // 批准人
    private String perforatedApprover;
    // 备注
    private String remark;

}
