package com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.jusfoun.ydylsz.vo.StorageDewingWarning;
import com.jusfoun.ydylsz.vo.TemperatureAndHumidityCheck;

@Mapper
public interface StorageDewingWarningMapper {

	/**
	 * 插入数据
	 * @param record
	 * @return
	 */
    int insert(StorageDewingWarning record);

    /**
     * 条件查询
     * @param storageDewingWarning
     * @return
     */
    List<StorageDewingWarning> list(StorageDewingWarning storageDewingWarning);

    /**
     * 查询测温的点位数据
     * @param storageDewingWarning
     * @return
     */
    List<TemperatureAndHumidityCheck> getTTestDate();
}