package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.CornMapper;
import com.jusfoun.ydylsz.mapper.RiceMapper;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.RiceVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RiceService {


	@Autowired
	private RiceMapper riceMapper;

	public PageInfo<RiceVO> page(String cfbm, Integer pageNo, Integer pageSize,String startDate,String endDate) {
		PageHelper.startPage(pageNo, pageSize);
		List<RiceVO> riceVOS = riceMapper.listnew(cfbm,startDate,endDate);
		/*for(RiceVO riceVO:riceVOS){
			if("1".equals(riceVO.getSjlx())){
				RiceVO rice = riceMapper.selectById(riceVO.getId());
				BeanUtils.copyProperties(rice,riceVO);
			}
		}*/
		return new PageInfo<RiceVO>(riceVOS);
	}

    public List<RiceVO> impRice(String cfbm, String startDate, String endDate) {
		List<RiceVO> wheatVOS = riceMapper.impRice(cfbm,startDate,endDate);
		return wheatVOS;
    }

	public void imp() {
		List<RiceVO> riceVOS = riceMapper.listadd();
		riceMapper.deleteAll();
		for(RiceVO riceVO:riceVOS){
			riceMapper.insert(riceVO);
		}
	}

    public void expRice() {
		riceMapper.deleteAll();
		List<RiceVO> riceVOS = riceMapper.listadd();
		for(RiceVO riceVO:riceVOS){
			riceMapper.insert(riceVO);
		}
    }
}
