package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.WheatMapper;
import com.jusfoun.ydylsz.vo.WheatVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WheatService {


	@Autowired
	private WheatMapper wheatMapper;

	public PageInfo<WheatVO> page(String cfbm, Integer pageNo, Integer pageSize,String startDate,String endDate) {
		PageHelper.startPage(pageNo, pageSize);
		List<WheatVO> wheatVOS = wheatMapper.listnew(cfbm,startDate,endDate);
		/*for(WheatVO wheatVO:wheatVOS){
			if(wheatVO.getRksl()!=null&&wheatVO.getRksl().contains(".")){
				String kc = wheatVO.getRksl().split(".")[0]+"."+wheatVO.getRksl().split(".")[1].replaceAll("0+$",
						"");
				if(kc.endsWith(".")){
					kc = kc.substring(0,kc.length()-1);
				}
				wheatVO.setRksl(kc);
			}
		}*/
		return new PageInfo<WheatVO>(wheatVOS);
	}

	public List<WheatVO> impWheat(String cfbm, String startDate, String endDate) {
		List<WheatVO> wheatVOS = wheatMapper.listnew(cfbm,startDate,endDate);
		/*for(WheatVO wheatVO:wheatVOS){
			if("1".equals(wheatVO.getSjlx())){
				WheatVO wheat = wheatMapper.selectById(wheatVO.getId());
				BeanUtils.copyProperties(wheat,wheatVO);
			}
		}*/
		return wheatVOS;
	}

	public void imp() {
		wheatMapper.deleteAll();
		List<WheatVO> wheatVOS = wheatMapper.listadd();
		for(WheatVO wheatVO:wheatVOS){
			wheatMapper.insert(wheatVO);
		}
	}

    public void expWheat() {
		wheatMapper.deleteAll();
		List<WheatVO> wheatVOS = wheatMapper.listadd();
		for(WheatVO wheatVO:wheatVOS){
			wheatMapper.insert(wheatVO);
		}
    }
}
