package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by PIG
 * 2022/12/14 14
 */
@AllArgsConstructor
@ApiModel(value = "测温线缆故障机动点")
@Builder
@Data
@NoArgsConstructor
public class BadTemperaturePointDTO {

    private String name; // 库点名称

    private String orgId;

    private long pointNum;

    private List<TemperatureVO> badTempList;
}
