package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "粮温、湿温阈值信息")
public class ThresholdVO {

    @ApiModelProperty(value = "湿度高限")
    private BigDecimal humidityMax;

    @ApiModelProperty(value = "温度高限")
    private BigDecimal temperatureMax;
}
