package com.jusfoun.ydylsz.vo.fumigation;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 熏蒸备案
 * @create 2023-11-04 15:55
 */
@Data
public class FumigationForrecord implements Serializable {
    private static final long serialVersionUID = -7447817257992685259L;
    /*
     * 熏蒸备案信息
     */
    // t_fumigation_forrecord
    // 熏蒸方案负责任人
    private String xzzyfzr;
    // 熏蒸方案起草人
    private String xzfaqcr;
    // 熏蒸作业施药开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fumigationStart;
    // 熏蒸作业施药结束时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fumigationEnd;
    /*
    * 害虫发生情况
    */
    // t_fumigation_forrecord
    // 害虫种类
    private String zyhc;
    // 密度
    private String ckmd;
    // t_fumigation_pesticide.record_id
    // 发现时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date insectProductTime;
    // 发生部位
    private String occurrencePlace;
    // 害虫抗药性分析
    private String drugResistance;
    /*
    * 药剂信息 t_fumigation_forrecord
    */
    // 药剂名称
    private String yjmc;
    // 剂型
    private String jx;
    // 浓度
    private String nd;
    // 施药方式
    private String syff;
    // 领取数量
    private String lqsl;
    // 粮堆单位用药(g/m³)
    private String lddwyyl;
    // 空间单位用药量(g/m³)
    private String kjdwyyl;
    // 总用药量(kg)
    private String zyyl;

}
